%define url_ver %(echo %{version} | cut -d "." -f -2)

%define pkgname glibmm
%define api 2.4
%define major 1
%define libname %mklibname %{pkgname} %{api} %{major}
%define devname %mklibname %{pkgname} %{api} -d

Summary:	C++ interface for Glib
Name:		%{pkgname}%{api}
Version:	2.44.0
Release:	1
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://gtkmm.sourceforge.net/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	mm-common >= 0.9.4
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(glib-2.0) >= 2.30
BuildRequires:	pkgconfig(sigc++-2.0) >= 2.2.10

%description
GtkMM provides a C++ interface to the GTK+ GUI library.

%{pkgname} originally belongs to GtkMM, but is now separated,
for use with non-GUI software written in C++.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	C++ interface for Glib
Group:		System/Libraries

%description -n %{libname}
GtkMM provides a C++ interface to the GTK+ GUI library.

%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.

%files -n %{libname}
%doc COPYING NEWS README
%{_libdir}/libglibmm*%{api}.so.%{major}*
%{_libdir}/libgiomm*%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers and development files of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{EVRD}
Provides:	%{pkgname}%{api}-devel = %{EVRD}
Requires:	mm-common >= 0.9.4

%description -n %{devname}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.

%files -n %{devname}
%doc AUTHORS ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/giomm-%{api}/
%{_libdir}/glibmm-%{api}/
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%package doc
Summary:	GlibMM documentation
Group:		Documentation

%description doc
GtkMM provides a C++ interface to the GTK+ GUI library.

%{pkgname} originally belongs to GtkMM, but is now separated,
for use with non-GUI software written in C++.

This package contains all API documentation for %{pkgname}.

%files doc
%doc %{_datadir}/doc/glibmm-%{api}
%{_datadir}/devhelp/books/glibmm-2.4/

#----------------------------------------------------------------------------

%prep
%setup -qn %{pkgname}-%{version}

%build
%configure2_5x \
	--enable-shared \
	--disable-static

%make

%install
%makeinstall_std

# make check does nothing

%changelog

* Wed Mar 25 2015 Tigro <ashejn@yandex-team.ru> 2.44.0-1
- (d724b60) update to 2.44.0


